"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Migrate = function () {
    function Migrate() {
        _classCallCheck(this, Migrate);
    }

    _createClass(Migrate, [{
        key: "update",
        value: function update(fromVersion, toVersion, root) {
            for (var i = fromVersion; toVersion > i; i++) {
                var func = "migrate_v".concat(i, "_to_v").concat(i + 1);
                if (this[func]) {
                    this[func](root);
                }
            }
        }
    }, {
        key: "migrate_v0_to_v1",
        value: function migrate_v0_to_v1(root) {
            var table = root.find('[data-section-key="table"]');
            table.before("<p>");
            table.after("<p>");
        }
    }]);

    return Migrate;
}();

exports.default = Migrate;