'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _ajax2 = require('../utils/ajax');

var _ajax3 = _interopRequireDefault(_ajax2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Request = function () {
  function Request(options) {
    _classCallCheck(this, Request);

    this.options = Object.assign({
      ajaxOptions: {
        progress: function progress() {},
        error: function error() {},
        success: function success() {},
        data: {},
        method: 'post',
        url: ''
      }
    }, options);
  }

  _createClass(Request, [{
    key: 'ajax',
    value: function ajax(options) {
      options = Object.assign({}, this.options.ajaxOptions, {}, options);
      var _options = options,
          success = _options.success,
          error = _options.error;

      var promise = new Promise(function (resolve) {
        options.success = function (res) {
          success(res);
          resolve();
        };
        options.error = function (res) {
          error(res);
          resolve();
        };
      });
      return {
        xhr: (0, _ajax3.default)(options),
        promise: promise
      };
    }
  }]);

  return Request;
}();

exports.default = Request;