'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _button = require('./button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ToolbarPluginsMore = function (_React$Component) {
  _inherits(ToolbarPluginsMore, _React$Component);

  function ToolbarPluginsMore() {
    _classCallCheck(this, ToolbarPluginsMore);

    var _this = _possibleConstructorReturn(this, (ToolbarPluginsMore.__proto__ || Object.getPrototypeOf(ToolbarPluginsMore)).call(this));

    _this.state = {
      active: false
    };


    _this.toggleDropdown = function (e) {
      e.preventDefault();
      e.stopPropagation();

      if (_this.state.active) {
        _this.hideDropdown();
      } else {
        _this.showDropdown();
      }
    };

    _this.showDropdown = function () {
      document.addEventListener('click', _this.hideDropdown);
      _this.setState({
        active: true
      });
    };

    _this.hideDropdown = function () {
      document.removeEventListener('click', _this.hideDropdown);

      _this.setState({
        active: false
      });
    };
    return _this;
  }

  _createClass(ToolbarPluginsMore, [{
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      document.removeEventListener('click', this.hideDropdown);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          width = _props.width;
      var active = this.state.active;

      var moreIcon = '<span class="zacheditor-icon zacheditor-icon-more" />';
      return _react2.default.createElement(
        'div',
        {
          className: (0, _classnames2.default)('zacheditor-toolbar-area', {
            'zacheditor-toolbar-area-hide': !children || !children.length
          })
        },
        _react2.default.createElement(
          'div',
          { className: 'zacheditor-button-set' },
          _react2.default.createElement(
            'div',
            {
              className: (0, _classnames2.default)('zacheditor-button-set-trigger', {
                'zacheditor-button-set-trigger-active': active
              })
            },
            _react2.default.createElement(_button2.default, {
              title: '\u66F4\u591A',
              icon: moreIcon,
              active: active,
              hasArrow: true,
              onClick: this.toggleDropdown,
              outerVisible: this.state.active
            })
          ),
          _react2.default.createElement(
            'div',
            {
              className: (0, _classnames2.default)('zacheditor-button-set-list', 'zacheditor-button-set-list-hoz', {
                'zacheditor-button-set-list-active': active
              }),
              style: { width: ''.concat(width, 'px') }
            },
            children
          )
        )
      );
    }
  }]);

  return ToolbarPluginsMore;
}(_react2.default.Component);

exports.default = ToolbarPluginsMore;