'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _engine = require('../editor/engine');

var _engine2 = _interopRequireDefault(_engine);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PLUGIN_NAME = 'blankmark';
exports.default = {
  initialize: function initialize() {
    var _this = this;

    this.command.add(PLUGIN_NAME, {
      execute: function execute() {
        var date = new Date();
        var year = date.getFullYear();
        var month = date.getMonth() + 1;
        var strDate = date.getDate();
        var linkNode = _engine2.default.$('<mark data-type="blankmark"><u>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</u></mark>');
        _this.change.insertInline(linkNode);
      }
    });
  }
};