'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var PLUGIN_NAME = 'label';

exports.default = {
    initialize: function initialize() {
        var _this = this;

        this.command.add(PLUGIN_NAME, {
            execute: function execute() {
                var section = _this.change.insertSection(PLUGIN_NAME);
                var component = _this.section.getComponent(section);
                _this.change.activateSection(section);
                setTimeout(function () {
                    component.focusInput();
                }, 20);
            }
        });
    }
};