'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _command = require('../utils/command');

var PLUGIN_NAME = 'translate';

function getConfig() {
  var locale = this.locale[PLUGIN_NAME];
  return {
    name: PLUGIN_NAME,
    title: locale.title,
    className: 'zacheditor-' + PLUGIN_NAME + '-sidebar',
    data: null
  };
}

exports.default = {
  initialize: function initialize() {
    // 创建工具栏命令
    (0, _command.addSidebarCommand)(this, PLUGIN_NAME, getConfig);
  }
};