'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

require('antd/lib/select/style');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _modeConfig = require('./mode-config');

var _modeConfig2 = _interopRequireDefault(_modeConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Option = _antd.Select.Option;

var Header = function (_React$PureComponent) {
  _inherits(Header, _React$PureComponent);

  function Header() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Header);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Header.__proto__ || Object.getPrototypeOf(Header)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      open: false
    }, _this.onDropdownVisibleChange = function (open) {
      _this.setState({
        open: open
      });
    }, _this.handlerFilter = function (input, option) {
      input = input.toLowerCase();
      var key = option.key || '';
      var name = option.name || '';
      name = name.toLowerCase();
      return key.includes(input) || name.includes(input);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Header, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _antd.Select,
        {
          className: (0, _classnames2.default)('zacheditor-codeblock-header-select', {
            'zacheditor-codeblock-header-select-open': this.state.open
          }),
          dropdownClassName: 'zacheditor-codeblock-header-dropdown',
          showSearch: true,
          size: 'small',
          style: {
            minWidth: 128
          },
          defaultValue: this.props.defaultValue,
          getPopupContainer: this.props.getPopupContainer,
          onSelect: this.props.onSelect,
          filterOption: this.handlerFilter,
          onDropdownVisibleChange: this.onDropdownVisibleChange
        },
        _modeConfig2.default.map(function (item) {
          return _react2.default.createElement(
            Option,
            { name: item.name, value: item.value, key: item.value },
            item.name
          );
        })
      );
    }
  }]);

  return Header;
}(_react2.default.PureComponent);

exports.default = Header;