"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    'en': {
        placeholder: "Please paste the link here",
        submit: "submit",
        addressInvalid: "Link error, please check and re-enter",
        validUrl: "Illegal link, can't be embedded",
        uploading: "files are still uploading",
        iframeOverLimit: "Documents support up to ${limit} embedded sections",
        iframeOverLimitSectionView: "Embed sections can't be more than ${limit}",
        canNotShowSection: "Section cannot be displayed"
    },
    "zh-cn": {
        placeholder: "请在此粘贴链接",
        submit: "确定",
        addressInvalid: "链接错误，请检查后重新输入",
        validUrl: "非法链接，无法嵌入",
        uploading: "文件上传中",
        iframeOverLimit: "文档最多支持 ${limit} 张嵌入Section",
        iframeOverLimitSectionView: "嵌入Section不能多于 ${limit} 张",
        canNotShowSection: "Section无法展示"
    }
};