'use strict';

var _page = require('../page');

var _page2 = _interopRequireDefault(_page);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_page2.default.registerBehaviour('clickCanvasSelected', function (page) {
    var graph = page.getGraph();
    graph.behaviourOn('click', function (ev) {
        if (!ev.shape) {
            page.clearSelected();
            page.clearActived();
            page.updateStatus();
        }
    });
    graph.behaviourOn('contextmenu', function (ev) {
        if (!ev.shape) {
            page.clearSelected();
            page.clearActived();
            page.updateStatus();
        }
    });
});