'use strict';

var _page = require('../page');

var _page2 = _interopRequireDefault(_page);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_page2.default.registerBehaviour('endPanItem', function (page) {
    var graph = page.getGraph();
    graph.behaviourOn('panitemend', function () {
        var delegation = page.get('panItemDelegation');

        if (delegation) {
            delegation.remove();
            graph.draw();
        }

        page.setSignal('panningItem', false);
        page.set('panItemDelegation', undefined);
        page.set('panItemStartPoint', undefined);
        page.set('panItemStartBox', undefined);
        page.set('panItems', undefined);
    });
    graph.behaviourOn('canvas:mouseleave', function () {
        var panItems = page.get('panItems');
        if (!panItems) {
            return;
        }

        page.clearAlignLine();
        graph.emit('panitemend');
    });
});