'use strict';

var _page = require('../page');

var _page2 = _interopRequireDefault(_page);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_page2.default.registerBehaviour('hoverButton', function (flow) {
    var graph = flow.getGraph();
    graph.behaviourOn('mouseenter', function (ev) {
        if (flow.getSignal('panningItem')) {
            return;
        }

        if (ev.shape && ev.shape.isButton) {
            flow.css({
                cursor: 'pointer'
            });
        }
    });
});