'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  // 栅格样式
  gridStyle: {
    stroke: '#A3B1BF',
    lineWidth: 0.5
  },
  // 光标样式
  cursor: {
    panningCanvas: '-webkit-grabbing',
    beforePanCanvas: '-webkit-grab'
  },
  // 滚轮滑动系数
  wheelPanRatio: 0.3,
  // 对齐线样式
  alignLineStyle: {
    stroke: '#FA8C16',
    lineWidth: 1
  },
  // 节点委托图形样式
  nodeDelegationStyle: {
    stroke: '#1890FF',
    fill: '#1890FF',
    fillOpacity: 0.08,
    lineDash: [4, 4],
    radius: 4,
    lineWidth: 1
  },
  // 边委托图形样式
  edgeDelegationStyle: {
    stroke: '#1890FF',
    lineDash: [4, 4],
    lineWidth: 1
  }
};