'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _mind = require('../../mind');

var _mind2 = _interopRequireDefault(_mind);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_mind2.default.registerEdge('mind-placeholder-edge', {
    getOriginShapeObject: function getOriginShapeObject(item) {
        var tree = item.getGraph();
        var shapeObj = tree.getShapeObj('edge', {
            shape: 'mind-edge'
        });
        return shapeObj;
    },
    getPath: function getPath(item) {
        var shapeObj = this.getOriginShapeObject(item);
        return shapeObj.getPath(item);
    },
    getStyle: function getStyle(item) {
        var shapeObj = this.getOriginShapeObject(item);
        var style = shapeObj.getStyle(item);
        return _extends({}, style, {
            stroke: '#91D5FF'
        });
    }
});