'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _tinsoEditorEngine = require('tinso-editor-engine');

var _tinsoEditorEngine2 = _interopRequireDefault(_tinsoEditorEngine);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var $ = _tinsoEditorEngine2.default.$;
/**
 * @fileOverview 阅读态
 */

exports.default = {
  // 绑定阅读态事件
  _bindReadEvent: function _bindReadEvent() {
    var _this = this;

    // TODO: 暂时由Section内部控制本Section的聚焦和失焦状态
    this.bindEvent($(document), 'click', function (_ref) {
      var target = _ref.target;
      if (_this.sectionRoot[0].contains(target)) {
        _this.activate();
      }
    });
    this.bindEvent($(document), 'mousedown', function (_ref) {
      var target = _ref.target;
      if (!_this.sectionRoot[0].contains(target)) {
        _this.unactivate();
      }
    });
  },
  // 渲染阅读视图
  _renderReadView: function _renderReadView() {
    if (!this.page) {
      this.renderPage();
    }
    this._renderTool();
    this._bindReadEvent();
    this._readValue();
    this.unactivate();
    // 如果存在 src 则使用 src
    // if (this.value.src) {
    //   const { onBeforeRenderImage } = this.rendererOptions;
    //   const src = onBeforeRenderImage(this.value.src);
    //   this.imageContainer.html(this._getImageHtml(src));
    // }
  }
};