'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

require('antd/lib/input/style');

require('antd/lib/icon/style');

var _icons = require('@ant-design/icons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Unlock = function (_React$Component) {
  _inherits(Unlock, _React$Component);

  function Unlock() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Unlock);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Unlock.__proto__ || Object.getPrototypeOf(Unlock)).call.apply(_ref, [this].concat(args))), _this), _this.changeUnlockPassword = function (e) {
      _this.password = e.target.value;
    }, _this.unLock = function () {
      _this.props.onUnlock(_this.password);
    }, _this.onPressEnter = function (e) {
      _this.props.onUnlock(e.target.value);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Unlock, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        { className: 'unlock-panel' },
        _react2.default.createElement('div', { className: 'lock-icon' }),
        _react2.default.createElement(
          'p',
          null,
          _react2.default.createElement(_antd.Input, {
            type: 'password',
            placeholder: this.props.locale.unlockInputPlaceholder,
            onChange: this.changeUnlockPassword,
            onPressEnter: this.onPressEnter,
            addonAfter: _react2.default.createElement(
              'span',
              { className: 'unlock-btn', onClick: this.unLock },
              _react2.default.createElement(_icons.UnlockOutlined, null),
              this.props.locale.unlock
            )
          })
        ),
        _react2.default.createElement(
          'p',
          { className: 'error-info' },
          this.props.locale.errorFeedback
        ),
        _react2.default.createElement(
          'p',
          { className: 'lock-info' },
          this.props.locale.lockedFeedback
        )
      );
    }
  }]);

  return Unlock;
}(_react2.default.Component);

exports.default = Unlock;