'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.preview = undefined;

var _request = require('../utils/request');

/**
 * 生成 latex/puml svg 图片内容
 *
 * @param {string} type puml|latex
 * @param {string} code 待处理文本
 * @return {Promise<{success:boolean,svg:string}>} 服务端处理结果
 */
var preview = exports.preview = function preview(type, code) {
  return (0, _request.post)('/api/'.concat(type), {
    content: code
  });
};