'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _tinsoEditorEngine = require('tinso-editor-engine');

var _tinsoEditorEngine2 = _interopRequireDefault(_tinsoEditorEngine);

var _math = require('../section/math');

var _math2 = _interopRequireDefault(_math);

var _sectionselect = require('../section/sectionselect');

var _sectionselect2 = _interopRequireDefault(_sectionselect);

var _emoji = require('../section/emoji');

var _emoji2 = _interopRequireDefault(_emoji);

var _image = require('../section/image');

var _image2 = _interopRequireDefault(_image);

var _file = require('../section/file');

var _file2 = _interopRequireDefault(_file);

var _mindmap = require('../section/mindmap');

var _mindmap2 = _interopRequireDefault(_mindmap);

var _textDiagram = require('../section/text-diagram');

var _textDiagram2 = _interopRequireDefault(_textDiagram);

var _codeblock = require('../section/codeblock');

var _codeblock2 = _interopRequireDefault(_codeblock);

var _table = require('../section/table');

var _table2 = _interopRequireDefault(_table);

var _video = require('../section/video');

var _video2 = _interopRequireDefault(_video);

var _label = require('../section/label');

var _label2 = _interopRequireDefault(_label);

var _youku = require('../section/youku');

var _youku2 = _interopRequireDefault(_youku);

var _mention = require('../section/mention');

var _mention2 = _interopRequireDefault(_mention);

var _onlineDoc = require('../section/online-doc');

var _onlineDoc2 = _interopRequireDefault(_onlineDoc);

var _lockedText = require('../section/locked-text');

var _lockedText2 = _interopRequireDefault(_lockedText);

var _localDoc = require('../section/local-doc');

var _localDoc2 = _interopRequireDefault(_localDoc);

var _mxgraph = require('../section/mxgraph');

var _mxgraph2 = _interopRequireDefault(_mxgraph);

var _math3 = require('../plugins/math');

var _math4 = _interopRequireDefault(_math3);

var _save = require('../plugins/save');

var _save2 = _interopRequireDefault(_save);

var _search = require('../plugins/search');

var _search2 = _interopRequireDefault(_search);

var _sectionselect3 = require('../plugins/sectionselect');

var _sectionselect4 = _interopRequireDefault(_sectionselect3);

var _emoji3 = require('../plugins/emoji');

var _emoji4 = _interopRequireDefault(_emoji3);

var _image3 = require('../plugins/image');

var _image4 = _interopRequireDefault(_image3);

var _file3 = require('../plugins/file');

var _file4 = _interopRequireDefault(_file3);

var _toc = require('../plugins/toc');

var _toc2 = _interopRequireDefault(_toc);

var _moremark = require('../plugins/moremark');

var _moremark2 = _interopRequireDefault(_moremark);

var _mindmap3 = require('../plugins/mindmap');

var _mindmap4 = _interopRequireDefault(_mindmap3);

var _diagram = require('../plugins/diagram');

var _diagram2 = _interopRequireDefault(_diagram);

var _codeblock3 = require('../plugins/codeblock');

var _codeblock4 = _interopRequireDefault(_codeblock3);

var _table3 = require('../plugins/table');

var _table4 = _interopRequireDefault(_table3);

var _video3 = require('../plugins/video');

var _video4 = _interopRequireDefault(_video3);

var _youku3 = require('../plugins/youku');

var _youku4 = _interopRequireDefault(_youku3);

var _mention3 = require('../plugins/mention');

var _mention4 = _interopRequireDefault(_mention3);

var _markdown = require('../plugins/markdown');

var _markdown2 = _interopRequireDefault(_markdown);

var _translate = require('../plugins/translate');

var _translate2 = _interopRequireDefault(_translate);

var _onlineDoc3 = require('../plugins/online-doc');

var _onlineDoc4 = _interopRequireDefault(_onlineDoc3);

var _localDoc3 = require('../plugins/local-doc');

var _localDoc4 = _interopRequireDefault(_localDoc3);

var _lockedtext = require('../plugins/lockedtext');

var _lockedtext2 = _interopRequireDefault(_lockedtext);

var _label3 = require('../plugins/label');

var _label4 = _interopRequireDefault(_label3);

var _datetext = require('../plugins/datetext');

var _datetext2 = _interopRequireDefault(_datetext);

var _blankmark = require('../plugins/blankmark');

var _blankmark2 = _interopRequireDefault(_blankmark);

var _mxgraph3 = require('../plugins/mxgraph');

var _mxgraph4 = _interopRequireDefault(_mxgraph3);

var _link = require('../plugins/link');

var _link2 = _interopRequireDefault(_link);

var _scrollbar = require('../scrollbar');

var _scrollbar2 = _interopRequireDefault(_scrollbar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_tinsoEditorEngine2.default.Scrollbar = _scrollbar2.default;
_tinsoEditorEngine2.default.section.add('sectionselect', _sectionselect2.default);
_tinsoEditorEngine2.default.section.add('mention', _mention2.default);
_tinsoEditorEngine2.default.section.add('emoji', _emoji2.default);
_tinsoEditorEngine2.default.section.add('image', _image2.default);
_tinsoEditorEngine2.default.section.add('file', _file2.default);
_tinsoEditorEngine2.default.section.add('codeblock', _codeblock2.default);
_tinsoEditorEngine2.default.section.add('math', _math2.default);
_tinsoEditorEngine2.default.section.add('table', _table2.default);
_tinsoEditorEngine2.default.section.add('mindmap', _mindmap2.default);
_tinsoEditorEngine2.default.section.add('youku', _youku2.default);
_tinsoEditorEngine2.default.section.add('video', _video2.default);
_tinsoEditorEngine2.default.section.add('label', _label2.default);
_tinsoEditorEngine2.default.section.add('puml', _textDiagram2.default);
_tinsoEditorEngine2.default.section.add('mermaid', _textDiagram2.default);
_tinsoEditorEngine2.default.section.add('flowchart', _textDiagram2.default);
_tinsoEditorEngine2.default.section.add('graphviz', _textDiagram2.default);
_tinsoEditorEngine2.default.section.add('diagram', _textDiagram2.default);
_tinsoEditorEngine2.default.section.add('onlinedoc', _onlineDoc2.default);
_tinsoEditorEngine2.default.section.add('lockedtext', _lockedText2.default);
_tinsoEditorEngine2.default.section.add('localdoc', _localDoc2.default);
_tinsoEditorEngine2.default.section.add('mxgraph', _mxgraph2.default);
_tinsoEditorEngine2.default.plugin.add('translate', _translate2.default);
_tinsoEditorEngine2.default.plugin.add('search', _search2.default);
_tinsoEditorEngine2.default.plugin.add('save', _save2.default);
_tinsoEditorEngine2.default.plugin.add('sectionselect', _sectionselect4.default);
_tinsoEditorEngine2.default.plugin.add('mention', _mention4.default);
_tinsoEditorEngine2.default.plugin.add('emoji', _emoji4.default);
_tinsoEditorEngine2.default.plugin.add('image', _image4.default);
_tinsoEditorEngine2.default.plugin.add('file', _file4.default);
_tinsoEditorEngine2.default.plugin.add('codeblock', _codeblock4.default);
_tinsoEditorEngine2.default.plugin.add('math', _math4.default);
_tinsoEditorEngine2.default.plugin.add('table', _table4.default);
_tinsoEditorEngine2.default.plugin.add('youku', _youku4.default);
_tinsoEditorEngine2.default.plugin.add('video', _video4.default);
_tinsoEditorEngine2.default.plugin.add('diagram', _diagram2.default);
_tinsoEditorEngine2.default.plugin.add('toc', _toc2.default);
_tinsoEditorEngine2.default.plugin.add('moremark', _moremark2.default);
_tinsoEditorEngine2.default.plugin.add('mindmap', _mindmap4.default);
_tinsoEditorEngine2.default.plugin.add('pastemarkdown', _markdown2.default);
_tinsoEditorEngine2.default.plugin.add('onlinedoc', _onlineDoc4.default);
_tinsoEditorEngine2.default.plugin.add('localdoc', _localDoc4.default);
_tinsoEditorEngine2.default.plugin.add('lockedtext', _lockedtext2.default);
_tinsoEditorEngine2.default.plugin.add('label', _label4.default);
_tinsoEditorEngine2.default.plugin.add('datetext', _datetext2.default);
_tinsoEditorEngine2.default.plugin.add('blankmark', _blankmark2.default);
_tinsoEditorEngine2.default.plugin.add('mxgraph', _mxgraph4.default);
_tinsoEditorEngine2.default.plugin.add('link', _link2.default);

exports.default = _tinsoEditorEngine2.default;