"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _class = function (_React$Component) {
    _inherits(_class, _React$Component);

    function _class() {
        _classCallCheck(this, _class);

        return _possibleConstructorReturn(this, (_class.__proto__ || Object.getPrototypeOf(_class)).apply(this, arguments));
    }

    _createClass(_class, [{
        key: "render",
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                onBeforeUpload = _props.onBeforeUpload,
                onAfterUpload = _props.onAfterUpload,
                getEngine = _props.getEngine,
                children = _props.children;
            var _props2 = this.props,
                engine = _props2.engine,
                name = _props2.name;

            name = name || "";
            if (name.indexOf(":") >= 0) {
                name = name.split(":")[1];
            }
            engine = getEngine() || engine;
            var accept = engine.uploader.getAccept(name);
            return _react2.default.createElement(
                "span",
                { onClick: function onClick() {
                        _this2.fileInput.click();
                    } },
                _react2.default.createElement("input", {
                    type: "file",
                    accept: accept,
                    ref: function ref(e) {
                        return _this2.fileInput = e;
                    },
                    onChange: function onChange() {
                        engine.uploader.post(name, [].concat(_toConsumableArray(_this2.fileInput.files)), {
                            onBeforeUpload: onBeforeUpload,
                            onAfterUpload: onAfterUpload
                        });
                    },
                    style: {
                        display: "none"
                    },
                    multiple: "multiple"
                }),
                children
            );
        }
    }]);

    return _class;
}(_react2.default.Component);

exports.default = _class;