'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var PLUGIN_NAME = 'moremark';

exports.default = {
    initialize: function initialize() {
        var _this = this;

        // 创建命令
        this.command.add(PLUGIN_NAME, {
            queryState: function queryState() {
                var list = [];
                ['sup', 'sub', 'code'].forEach(function (name) {
                    if (_this.command.queryState(name)) {
                        list.push(name);
                    }
                });
                return list;
            },
            execute: function execute(name) {
                _this.command.execute(name);
            }
        });
    }
};