'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _tinsoEditorEngine = require('tinso-editor-engine');

var _tinsoEditorEngine2 = _interopRequireDefault(_tinsoEditorEngine);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  initialize: function initialize() {
    var _this = this;

    // 移除未完成上传的文件
    this.on('setvalue', function () {
      _this.container.find('[data-section-key=video]').each(function (node) {
        var sectionRoot = _tinsoEditorEngine2.default.$(node);
        var value = _this.section.getValue(sectionRoot);
        if (value.status === 'uploading') {
          _this.section.removeNode(sectionRoot);
        }
      });
    });
  }
};