'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tinsoEditorEngine = require('tinso-editor-engine');

var _tinsoEditorEngine2 = _interopRequireDefault(_tinsoEditorEngine);

var _base = require('../base');

var _base2 = _interopRequireDefault(_base);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Emoji = function (_SectionBase) {
  _inherits(Emoji, _SectionBase);

  function Emoji(engine) {
    _classCallCheck(this, Emoji);

    var _this = _possibleConstructorReturn(this, (Emoji.__proto__ || Object.getPrototypeOf(Emoji)).call(this));

    _this.handleClick = function () {
      _this.engine.change.focusSection(_this.sectionRoot);
    };

    _this.engine = engine;
    _this.readonly = !engine;
    return _this;
  }

  _createClass(Emoji, [{
    key: 'select',
    value: function select() {}
  }, {
    key: 'render',
    value: function render(container, value) {
      value = _tinsoEditorEngine2.default.StringUtils.sanitizeUrl(value);
      var img = '<img class="zacheditor-emoji" src="'.concat(_tinsoEditorEngine2.default.StringUtils.escape(value), '" />');
      container.append(img);

      if (this.readonly) {
        return;
      }

      this.container.on('click', this.handleClick);
    }
  }]);

  return Emoji;
}(_base2.default);

Emoji.type = 'inline';
Emoji.selectStyleType = 'background';
Emoji.singleSelectable = false;
Emoji.canCollab = true;
exports.default = Emoji;