'use strict';

var _page = require('../page');

var _page2 = _interopRequireDefault(_page);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_page2.default.registerBehaviour('clickNodeSelected', function (page) {
    var graph = page.getGraph();
    graph.behaviourOn('node:click', function (ev) {
        var multiSelectable = page.get('multiSelectable');

        if (multiSelectable && page.getSignal('shiftKeyDown') === true) {
            page.setSelected(ev.item.id, true);
        } else {
            page.clearActived();
            page.clearSelected();
            page.setSelected(ev.item.id, true);
        }
    });
});