'use strict';

var _page = require('../page');

var _page2 = _interopRequireDefault(_page);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_page2.default.registerBehaviour('hoverEdgeActived', function (page) {
    var graph = page.getGraph();
    graph.behaviourOn('edge:mouseenter', function (ev) {
        if (page.getSignal('panningItem') || ev.item && ev.item.isSelected || page.getSignal('dragEdge')) {
            return;
        }

        page.setActived(ev.item, true);
    });
    graph.behaviourOn('edge:mouseleave', function (ev) {
        page.setActived(ev.item, false);
    });
});