'use strict';

var _page = require('../page');

var _page2 = _interopRequireDefault(_page);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_page2.default.registerBehaviour('keydownCmdWheelZoom', function (page) {
    var graph = page.getGraph();
    graph.behaviourOn('keydown', function (ev) {
        var domEvent = ev.domEvent;

        if (domEvent.keyCode === 91) {
            page.setSignal('wheelZoom', true);
        }
    });
    graph.behaviourOn('keyup', function (ev) {
        var domEvent = ev.domEvent;

        if (domEvent.keyCode === 91) {
            page.setSignal('wheelZoom', false);
        }
    });
});