'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _align = require('../controller/align');

var _align2 = _interopRequireDefault(_align);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Mixin = {};
Mixin.CFG = {
    /**
     * align cfg
     * @type {object|undefined}
     */
    align: {}
};
Mixin.INIT = '_initAlign';
Mixin.AUGMENT = {
    _initAlign: function _initAlign() {
        var alignCfg = this.get('align');
        var graph = this.get('_graph');
        var alignController = new _align2.default(_extends({
            flow: this,
            graph: graph
        }, alignCfg));
        this.setController('align', alignController);
    },
    align: function align(point, bbox, id) {
        var alignController = this.getController('align');
        return alignController.align(point, bbox, id);
    },
    clearAlignLine: function clearAlignLine() {
        var alignController = this.getController('align');
        return alignController.clearAlignLine();
    }
};
exports.default = Mixin;