'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var Mixin = {};
Mixin.AUGMENT = {
    updateStatus: function updateStatus() {
        var selectedItems = this.getSelected();
        var status = void 0;

        if (selectedItems.length === 0) {
            status = 'canvas-selected';
        } else {
            if (selectedItems.length === 1) {
                if (selectedItems[0].isNode) {
                    status = 'node-selected';
                } else if (selectedItems[0].isEdge) {
                    status = 'edge-selected';
                } else if (selectedItems[0].isGroup) {
                    status = 'group-selected';
                }
            } else {
                status = 'multi-selected';
            }
        }

        this.emit('statuschange', {
            status: status
        });
    }
};
exports.default = Mixin;