'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /**
                                                                                                                                                                                                                                                                   * @fileOverview util
                                                                                                                                                                                                                                                                   */


var _util = require('../../base/util');

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Util = _extends({}, _util2.default, {
    getMindNodeSide: function getMindNodeSide(item) {
        var model = item.getModel();

        if (model.side) {
            return model.side;
        }

        var parent = item.getParent();
        if (parent) {
            if (parent.getModel().side) {
                return parent.getModel().side;
            }
            return Util.getMindNodeSide(parent);
        }
        return undefined;
    }
});
exports.default = Util;