"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var lang = {
    "zh-cn": {
        next: "\u4E0B\u4E00\u5F20",
        prev: "\u4E0A\u4E00\u5F20",
        zoomIn: "\u653E\u5927",
        zoomOut: "\u7F29\u5C0F",
        originSize: "\u5B9E\u9645\u5C3A\u5BF8",
        bestSize: "\u9002\u5E94\u5C4F\u5E55"
    },
    "en": {
        next: "Next",
        prev: "Previous",
        zoomIn: "Zoom In",
        zoomOut: "Zoom Out",
        originSize: "Origin Size",
        bestSize: "Best Size"
    }
};

var data = window.appData;
var locale = data && "zh-cn" === data.locale ? "zh-cn" : "en";
exports.default = lang[locale];