'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var w = /[^a-zA-Z0-9\`\~\!\@\#\$\%\^\&\*\(\)\_\+\-\=\{\}\|\[\]\\\:\"\;\'\<\>\?\,\.\/]/;

var Lock = function (_React$Component) {
    _inherits(Lock, _React$Component);

    function Lock() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, Lock);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Lock.__proto__ || Object.getPrototypeOf(Lock)).call.apply(_ref, [this].concat(args))), _this), _this.changeLockPassword = function (e) {
            _this.password = e.target.value;
        }, _this.lock = function () {
            if (!_this.password) {
                _antd.message.error(_this.props.locale.noPassword);
                return;
            }
            if (_this.password.match(w)) {
                _antd.message.error(_this.props.locale.passwordPattern);
            } else _this.props.onLock(_this.password);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(Lock, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                { className: 'lock-panel' },
                _react2.default.createElement('div', { className: 'lock-icon' }),
                _react2.default.createElement(
                    'p',
                    { className: 'lock-title' },
                    this.props.locale.lockInputTitle
                ),
                _react2.default.createElement(
                    'p',
                    null,
                    _react2.default.createElement(_antd.Input, {
                        placeholder: this.props.locale.lockInputPlaceholder,
                        onChange: this.changeLockPassword
                    })
                ),
                _react2.default.createElement(
                    'p',
                    null,
                    _react2.default.createElement(
                        _antd.Button,
                        {
                            type: 'primary',
                            onClick: this.lock
                        },
                        this.props.locale.ok
                    ),
                    _react2.default.createElement(
                        _antd.Button,
                        {
                            onClick: this.props.onCancelLock
                        },
                        this.props.locale.cancel
                    )
                )
            );
        }
    }]);

    return Lock;
}(_react2.default.Component);

exports.default = Lock;