'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./graph-view.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var GraphView = function (_React$Component) {
  _inherits(GraphView, _React$Component);

  function GraphView() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, GraphView);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = GraphView.__proto__ || Object.getPrototypeOf(GraphView)).call.apply(_ref, [this].concat(args))), _this), _this.state = {}, _this.onState = function (state) {
      _this.setState(state);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(GraphView, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this2 = this;

      this.instance = {
        setState: function setState(state) {
          _this2.onState(state);
        }
      };

      if (typeof this.props.onLoad === 'function') {
        this.props.onLoad({
          view: this.instance
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var maximize = this.state.maximize;
      var _props = this.props,
          value = _props.value,
          showGraphEditor = _props.showGraphEditor;

      return _react2.default.createElement(
        'div',
        { className: 'zacheditor-mxgraph' + (maximize ? ' zacheditor-mxgraph-maximize' : '') },
        showGraphEditor && _react2.default.createElement(
          'div',
          { className: 'zacheditor-mxgraph-nav' },
          _react2.default.createElement('div', null),
          _react2.default.createElement(
            'div',
            { className: 'mxgraph-actions' },
            _react2.default.createElement(
              'button',
              { size: 'small', onClick: showGraphEditor },
              '\u7F16\u8F91'
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { className: 'zacheditor-mxgraph-preview' },
          value.data && value.format === 'svg' && _react2.default.createElement('img', { src: value.data })
        ),
        _react2.default.createElement('div', { className: 'zacheditor-mxgraph-warp' })
      );
    }
  }]);

  return GraphView;
}(_react2.default.Component);

exports.default = GraphView;