"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

var _url = require("../embed/url");

var _url2 = _interopRequireDefault(_url);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var OnlineDoc = function (_EmbedUrl) {
    _inherits(OnlineDoc, _EmbedUrl);

    function OnlineDoc() {
        _classCallCheck(this, OnlineDoc);

        return _possibleConstructorReturn(this, (OnlineDoc.__proto__ || Object.getPrototypeOf(OnlineDoc)).apply(this, arguments));
    }

    _createClass(OnlineDoc, [{
        key: "getPlaceHolder",
        value: function getPlaceHolder() {
            var lang = this.getLang();
            return "en" === lang ? "Please enter a link to the document or a link to the content in the document" : "请输入文档链接，或文档中的内容链接";
        }
    }, {
        key: "hitBlack",
        value: function hitBlack(url) {
            return false;
        }
    }, {
        key: "getDocEmbedURL",
        value: function getDocEmbedURL(url) {
            return url + (url.indexOf('?') > 0 ? "&" : "?") + "view=doc_embed";
        }
    }, {
        key: "renderEmbedEmbedView",
        value: function renderEmbedEmbedView() {
            var lang = this.getLang();
            var tips = "en" === lang ? "Displaying online documents is not supported in embedded sections" : "嵌入Section中暂不支持展示在线文档";
            this.container.append('<div style="background: #fafafa; height: 80px; padding-top: 28px; text-align: center; color: rgba(0,0,0,0.45);">'.concat(tips, "</div>"));
        }
    }, {
        key: "render",
        value: function render() {
            this.value = this.value || {};
            if (window.location.search.indexOf("view=doc_embed") > 0) this.renderEmbedEmbedView();else _get(OnlineDoc.prototype.__proto__ || Object.getPrototypeOf(OnlineDoc.prototype), "render", this).call(this);
        }
    }]);

    return OnlineDoc;
}(_url2.default);

exports.default = OnlineDoc;