'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

require('antd/lib/checkbox/style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Video = function (_React$Component) {
  _inherits(Video, _React$Component);

  function Video(props) {
    _classCallCheck(this, Video);

    var _this = _possibleConstructorReturn(this, (Video.__proto__ || Object.getPrototypeOf(Video)).call(this));

    _this.state = {
      allowDownload: props.data.allowDownload
    };
    return _this;
  }

  _createClass(Video, [{
    key: 'getActivatedComponent',
    value: function getActivatedComponent() {
      var engine = this.props.engine;

      var section = engine.change.activeSection;
      if (section) {
        var component = engine.section.getComponent(section);
        if (component) return component;
      }
    }
  }, {
    key: 'handleUpdateDownload',
    value: function handleUpdateDownload(allowDownload) {
      var component = this.getActivatedComponent();
      if (component) {
        component.setValue({
          allowDownload: allowDownload
        }, false);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _antd.Checkbox,
          {
            className: 'zacheditor-content-view-download',
            onChange: function onChange(event) {
              _this2.handleUpdateDownload(event.target.checked);
            },
            defaultChecked: this.props.data.allowDownload
          },
          this.props.engine.locale.localdoc.allowDownload
        )
      );
    }
  }]);

  return Video;
}(_react2.default.Component);

exports.default = Video;