'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

require('antd/lib/popover/style');

var _button = require('./button');

var _button2 = _interopRequireDefault(_button);

var _tableSelector = require('./table-selector');

var _tableSelector2 = _interopRequireDefault(_tableSelector);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _class = function (_React$Component) {
    _inherits(_class, _React$Component);

    function _class() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, _class);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = _class.__proto__ || Object.getPrototypeOf(_class)).call.apply(_ref, [this].concat(args))), _this), _this.handleClick = function (event, opts) {
            event.preventDefault();
            event.stopPropagation();
            _this.props.onClick(opts);
        }, _this.onMouseEnter = function (event) {
            event.stopPropagation();
        }, _this.onMouseLeave = function (event) {
            event.stopPropagation();
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(_class, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            return _react2.default.createElement(
                _antd.Popover,
                {
                    content: _react2.default.createElement(_tableSelector2.default, { onSelect: function onSelect(event, rows, cols) {
                            _this2.handleClick(event, {
                                rows: rows,
                                cols: cols
                            });
                        } }),
                    placement: 'bottomLeft',
                    arrowPointAtCenter: true
                },
                _react2.default.createElement(_button2.default, _extends({}, this.props, {
                    tooltip: false,
                    outerVisible: true,
                    onClick: function onClick(event) {
                        _this2.handleClick(event);
                    },
                    onMouseEnter: this.onMouseEnter,
                    onMouseLeave: this.onMouseLeave
                }))
            );
        }
    }]);

    return _class;
}(_react2.default.Component);

exports.default = _class;